## librist 0.2.7+dfsg

=== meson_options.txt ===
option('static_analyze', type : 'boolean', value : false)
option('test', type : 'boolean', value : true)
#option('builtin_lz4', type: 'boolean', value: false)
option('builtin_cjson', type: 'boolean', value: false)
option('builtin_mbedtls', type: 'boolean', value: false)
option('built_tools', type: 'boolean', value: true)
option('fallback_builtin', type: 'boolean', value: true)
option('use_mbedtls', type: 'boolean', value: true)
option('have_mingw_pthreads', type: 'boolean', value: false)
option('allow_insecure_iv_fallback', type: 'boolean', value: false)
option('allow_obj_filter', type: 'boolean', value: false)
option('use_tun', type: 'boolean', value: false)

## librist 0.2.7%2Bdfsg

=== debian/changelog ===
librist (0.2.7+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Nov 2022 12:11:11 -0700

librist (0.2.7+dfsg-1) unstable; urgency=medium

  * [8324dcd] New upstream version 0.2.7+dfsg
  * [ef54dbc] debian/copyright: update year
  * [96389e1] debian/patches/typos.patch: applied upstream, thus now dropped
  * [0954644] debian/librist4.symbols: update for new upstream release

 -- Florian Ernst <florian@debian.org>  Fri, 08 Apr 2022 22:46:13 +0200

librist (0.2.6+dfsg-3) unstable; urgency=medium

  * [40de3e2] debian/tests/: cleanup and ASCII art for illustration
  * [0fb7866] debian/rules: grant dh_auto_test more time and don't run
    in parallel

 -- Florian Ernst <florian@debian.org>  Sun, 27 Mar 2022 13:59:25 +0200

librist (0.2.6+dfsg-2) unstable; urgency=medium

  * Source-only upload without changes to allow the package to migrate now
    that it has passed NEW.

 -- Florian Ernst <florian@debian.org>  Wed, 23 Mar 2022 15:46:48 +0100

librist (0.2.6+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1007198)

 -- Florian Ernst <florian@debian.org>  Sun, 20 Mar 2022 10:13:49 +0100

=== debian/control ===
Source: librist
Section: libs
Priority: optional
Standards-Version: 4.6.0
Homepage: https://code.videolan.org/rist/librist
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcjson-dev,
               libcmocka-dev,
               libmbedtls-dev,
               meson,
               pkg-config
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/librist
Vcs-Git: https://salsa.debian.org/debian/librist.git

Package: librist-dev
Section: libdevel
Depends: librist4 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Multi-Arch: same
Description: Reliable Internet Stream Transport -- development files
 Reliable Internet Stream Transport (RIST) is a transport protocol
 designed for reliable transmission of video over lossy networks
 (including the Internet) with low latency and high quality.
 .
 RIST is intended as a more reliable successor to Secure Reliable
 Transport (SRT), and as an open alternative to proprietary commercial
 options such as Zixi, VideoFlow, QVidium, and DVEO (Dozer).
 .
 This package contains the library development files.

Package: librist4
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Multi-Arch: same
Description: Reliable Internet Stream Transport -- shared library
 Reliable Internet Stream Transport (RIST) is a transport protocol
 designed for reliable transmission of video over lossy networks
 (including the Internet) with low latency and high quality.
 .
 RIST is intended as a more reliable successor to Secure Reliable
 Transport (SRT), and as an open alternative to proprietary commercial
 options such as Zixi, VideoFlow, QVidium, and DVEO (Dozer).
 .
 This package contains the shared library.

Package: rist-tools
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Multi-Arch: foreign
Description: Reliable Internet Stream Transport -- CLI tools
 Reliable Internet Stream Transport (RIST) is a transport protocol
 designed for reliable transmission of video over lossy networks
 (including the Internet) with low latency and high quality.
 .
 RIST is intended as a more reliable successor to Secure Reliable
 Transport (SRT), and as an open alternative to proprietary commercial
 options such as Zixi, VideoFlow, QVidium, and DVEO (Dozer).
 .
 This package contains the CLI tools.

=== debian/tests/control ===
Tests: pkg-config
Depends: build-essential, librist-dev, pkg-config

Test-Command: debian/tests/execute simple
Depends: ffmpeg, file, forensics-samples-files, rist-tools

Test-Command: debian/tests/execute psk_enc
Depends: ffmpeg, file, forensics-samples-files, rist-tools

## librist 0.2.7+dfsg

=== debian/changelog ===
librist (0.2.7+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Nov 2022 12:11:11 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libcjson-dev,
                libcmocka-dev,
                libmbedtls-dev,
-               meson,
+               meson (>= 0.51.0),
                pkg-config
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/librist

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test-arch:
	# must be executed consecutively lest they interfer with each other!
	# and grant the tests more time which is sorely needed with noisy neighbors
	dh_auto_test --no-parallel -- --timeout-multiplier 5

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## librist 0.2.10%2Bdfsg

=== debian/changelog ===
librist (0.2.10+dfsg-1) unstable; urgency=medium

  * [f5d9014] New upstream version 0.2.10+dfsg
  * [9317c61] debian/copyright: update covering new upstream contents

 -- Florian Ernst <florian@debian.org>  Fri, 03 Nov 2023 08:34:35 +0100

librist (0.2.9+dfsg-2) unstable; urgency=medium

  * [e79b9dc] debian/control: librist-dev requires libcjson-dev now, so add
    Depends (Closes: 1054165)

 -- Florian Ernst <florian@debian.org>  Wed, 18 Oct 2023 17:07:29 +0200

librist (0.2.9+dfsg-1) unstable; urgency=medium

  * [fa86326] New upstream version 0.2.9+dfsg

 -- Florian Ernst <florian@debian.org>  Sat, 14 Oct 2023 11:00:41 +0200

librist (0.2.9~pre+git20231005+dfsg-1) experimental; urgency=medium

  * [88c36b4] New upstream version 0.2.9~pre+git20231005+dfsg
    - git snapshot to test 32bit builds, cf.
      https://code.videolan.org/rist/librist/-/issues/169
  * [36d7ed5] debian/librist4.symbols: update to match new upstream release
  * [2071e64] debian/copyright: update to match new upstream release

 -- Florian Ernst <florian@debian.org>  Thu, 05 Oct 2023 19:15:49 +0200

librist (0.2.8+dfsg+really0.2.7+dfsg-1) unstable; urgency=medium

  * [b92bc1e] New upstream version 0.2.8+dfsg+really0.2.7+dfsg
    - well, going back to 0.2.7 for the time being as 0.2.8 is not 32bit safe,
      cf. https://code.videolan.org/rist/librist/-/issues/169
      (Closes: #1051454)
  * [daf0dab] Revert "debian/librist4.symbols: update to match new upstream
    release"
  * [279bfff] Revert "debian/copyright: update to match new upstream release"

 -- Florian Ernst <florian@debian.org>  Thu, 21 Sep 2023 21:06:00 +0200

librist (0.2.8+dfsg-1) unstable; urgency=medium

  * [47c0103] New upstream version 0.2.8+dfsg
  * [090f44e] debian/copyright: update to match new upstream release
  * [7956554] debian/librist4.symbols: update to match new upstream release
  * [ca2777d] debian/control: add libmicrohttpd-dev to B-D
    allowing rist-tools to serve Prometheus metrics via HTTP
  * [6feed59] debian/tests/control: add an explicit D: libcjson-dev for
    compatibility
  * [f38e447] debian/control: Standards-Version: 4.6.2 (no changes required)

 -- Florian Ernst <florian@debian.org>  Thu, 07 Sep 2023 14:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: librist
 Section: libs
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://code.videolan.org/rist/librist
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libcjson-dev,
-               libcmocka-dev,
-               libmbedtls-dev,
-               meson (>= 0.51.0),
-               pkg-config
+Maintainer: Florian Ernst <florian@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ meson,
+ cmake,
+ pkg-config,
+ libmicrohttpd-dev,
+ libcjson-dev,
+ libmbedtls-dev,
+ libcmocka-dev,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/librist
 Vcs-Git: https://salsa.debian.org/debian/librist.git
 
 Package: librist-dev
 Section: libdevel
-Depends: librist4 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ librist4 (= ${binary:Version}),
+ libcjson-dev,
+ ${misc:Depends},
 Architecture: any
 Multi-Arch: same
 Description: Reliable Internet Stream Transport -- development files
@@ -33,7 +37,9 @@
  This package contains the library development files.
 
 Package: librist4
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Architecture: any
 Multi-Arch: same
 Description: Reliable Internet Stream Transport -- shared library
@@ -49,7 +55,9 @@
 
 Package: rist-tools
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Architecture: any
 Multi-Arch: foreign
 Description: Reliable Internet Stream Transport -- CLI tools

## librist 0.2.10+dfsg

=== debian/changelog ===
librist (0.2.10+dfsg-2) unstable; urgency=medium

  * [f2bcea7] debian/control: librist-dev needs to Depend on libmbedtls-dev
    now, thanks to Gianfranco Costamagna <locutusofborg@debian.org>
    (Closes: #1068450)
  * [917525b] debian/control: pkg-config has been superseded by pkgconf

 -- Florian Ernst <florian@debian.org>  Sun, 07 Apr 2024 11:30:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  meson,
  cmake,
- pkg-config,
+ pkgconf,
  libmicrohttpd-dev,
  libcjson-dev,
  libmbedtls-dev,
@@ -22,6 +22,7 @@
 Depends:
  librist4 (= ${binary:Version}),
  libcjson-dev,
+ libmbedtls-dev,
  ${misc:Depends},
 Architecture: any
 Multi-Arch: same

=== debian/tests/control ===
Tests: pkg-config
Depends:
 build-essential,
 pkg-config,
 librist-dev

Test-Command: debian/tests/execute simple
Depends:
 rist-tools,
 ffmpeg,
 forensics-samples-files,
 file

Test-Command: debian/tests/execute psk_enc
Depends:
 rist-tools,
 ffmpeg,
 forensics-samples-files,
 file

=== debian/watch ===
version=4
opts=dversionmangle=auto,repack,repacksuffix=+dfsg \
    https://code.videolan.org/rist/@PACKAGE@/-/tags \
    .*/@PACKAGE@-v?@ANY_VERSION@@ARCHIVE_EXT@$

## librist 0.2.11+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 option('built_tools', type: 'boolean', value: true)
 option('fallback_builtin', type: 'boolean', value: true)
 option('use_mbedtls', type: 'boolean', value: true)
+option('use_nettle', type: 'boolean', value: false)
+option('use_gnutls', type: 'boolean', value: false)
 option('have_mingw_pthreads', type: 'boolean', value: false)
 option('allow_insecure_iv_fallback', type: 'boolean', value: false)
 option('allow_obj_filter', type: 'boolean', value: false)

=== debian/changelog ===
librist (0.2.11+dfsg-1) unstable; urgency=medium

  * Uploading to unstable now that the mbedtls transition has finished

 -- Florian Ernst <florian@debian.org>  Sat, 23 Nov 2024 10:33:55 +0100

librist (0.2.11+dfsg-1~exp1) experimental; urgency=medium

  * Uploading to experimental only due to the ongoing mbedtls transition
  * [9960b1b] d/watch: update to work with new upstream GitLab version
  * [ee5544e] d/copyright: clarify one file to be dual-licensed
  * [3f58362] New upstream version 0.2.11+dfsg
  * [27c856c] d/patches/: refresh for new upstream release
  * [c0f4dcd] d/copyright: update years
  * [3ef95ab] d/control: Standards-Version: 4.7.0 (no further changes
    required)
  * [88d3b45] d/librist4.symbols: update for new upstream release

 -- Florian Ernst <florian@debian.org>  Fri, 22 Nov 2024 14:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: librist
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://code.videolan.org/rist/librist
 Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,3 @@
 	# must be executed consecutively lest they interfer with each other!
 	# and grant the tests more time which is sorely needed with noisy neighbors
 	dh_auto_test --no-parallel -- --timeout-multiplier 5
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="searchmode=plain,dversionmangle=auto,repack,repacksuffix=+dfsg" \
    https://code.videolan.org/rist/@PACKAGE@/tags?sort=updated_desc \
    -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
